Open BankingB2B SuiteERP Integration
GuidesAPI ReferenceChangelog
Menu

Categories

Open BankingB2B SuiteERP Integration

  • GENERAL INFORMATION

    • Documentation guide
    • SingleView Open Banking
    • KSAOB standards
    • Security best practices
  • GETTING STARTED

    • Integration guide
    • Developer console
    • Establish secure connection
    • Generate access token
    • Make test raw data API call
    • Make test data use case API call
  • CONSENT MANAGEMENT

    • Overview
    • Create a consent
    • Retrieve consent details
    • Revoke a consent
  • Raw Data APIs

    • Introduction
    • View accounts
    • View balance
    • View transactions
    • Identify account holders (Parties)
    • Review direct debits
    • Review scheduled payments
    • Review standing orders
  • DATA USE CASE APIS

  • Plug-and-Play Integrations

    • Payly
  • RESOURCES

    • Errors & codes
    • Collections
    • API version management
    • Bank connectivity
  • API Archives


Accounts

Get a single or multiple accounts information

Overview

SingleView AIS API enables the retrieval of account information from banks using the Consent ID and account ID. The API allows the users to access the account information for the Bank accounts with active user consent. Once consent is expired or deleted, that specific bank account information shall be inaccessible.

For all the consented bank accounts, a unique account ID can be used to retrieve the corresponding account information and data.

The account information can be obtained in the following methods:

  • Get All Accounts Info
  • Get Account Info by Account ID
Get All Accounts Info

This method uses the Consent ID and fetches all the bank accounts included in the specified consent. Below are examples of requests and responses to this method.

Endpoint details

Endpoint URL

Method

Authentication requirements

/v1/api/observice/accounts

POST

  1. clientId
  2. clientCode
  3. signature
  4. Authorization: Bearer Token

Sample request

Get all accounts info request
{
  "dateTimeStamp": "2024-12-31T10:40:00+02:00",
  "requestID": "df797efb-b588-4234-8ae1-5cb748559830",
  "merchantId": "APIS-300505",
  "banks": [
    {
      "code": "SVMB01",
      "consentId":"urn:SVMB01:kac-5a166b7d-8cdb-443a-a67a-80ad7a5b95b3"
    }
  ]
}

Request description

JSON Tag

Requirement

Description

Data type

DateTimeStamp

Mandatory

Stamp denoting the date and time of the request
ISO 8601 format - YYYY-MM-DDTHH:MM:SS

Date

RequestID

Mandatory

Unique request identification
UUID format

Alphanumeric

merchantId

Mandatory

Unique merchant identification
UUID format

Alphanumeric

banks

Mandatory

Array of banks and consents

Object

code

Mandatory

Unique bank identification code

Alphanumeric

consentId

Mandatory

Unique consent identification

String

Sample response

Get all accounts info response
{
  "success": true,
  "payload": [
    {
      "code": "SVMB01",
      "data": {
        "account": [
          {
            "accountId": "100004000000000000000002",
            "accountHolderName": "Mitsuhirato",
            "accountHolderShortName": "Mitsuhirato",
            "status": "Active",
            "currency": "SAR",
            "nickname": "Mitsuhirato",
            "accountType": "KSAOB.Retail",
            "accountSubType": "CurrentAccount",
            "accountIdentifiers": [
              {
                "identificationType": "KSAOB.IBAN",
                "identification": "10000109010102",
                "name": "Luigi International"
              },
              {
                "identificationType": "KSAOB.IBAN",
                "identification": "10000109010102",
                "name": "Luigi International"
              }
            ],
            "servicer": {
              "identificationType": "KSAOB.BICFI",
              "identification": "10000109010101"
            },
            "statusUpdateDateTime": "2023-02-01T16:37:00.980Z",
            "description": "Account sub-type description",
            "openingDate": "2022-04-08T16:37:00.980Z",
            "maturityDate": "2023-11-29T16:37:00.980Z"
          },
          {
            "accountId": "100004000000000000000003",
            "accountHolderName": "Mitsuhirato",
            "accountHolderShortName": "Mitsuhirato",
            "status": "Active",
            "currency": "SAR",
            "nickname": "Mitsuhirato",
            "accountType": "KSAOB.Retail",
            "accountSubType": "CurrentAccount",
            "accountIdentifiers": [
              {
                "identificationType": "KSAOB.IBAN",
                "identification": "10000109010103",
                "name": "Mario International"
              },
              {
                "identificationType": "KSAOB.IBAN",
                "identification": "10000109010103",
                "name": "Mario International"
              }
            ],
            "servicer": {
              "identificationType": "KSAOB.BICFI",
              "identification": "10000109010101"
            },
            "statusUpdateDateTime": "2023-02-01T16:37:00.981Z",
            "description": "Account sub-type description",
            "openingDate": "2022-04-08T16:37:00.981Z",
            "maturityDate": "2023-11-29T16:37:00.981Z"
          },
          {
            "accountId": "100004000000000000000005",
            "accountHolderName": "Mitsuhirato",
            "accountHolderShortName": "Mitsuhirato",
            "status": "Active",
            "currency": "SAR",
            "nickname": "Mitsuhirato",
            "accountType": "KSAOB.Retail",
            "accountSubType": "CurrentAccount",
            "accountIdentifiers": [
              {
                "identificationType": "KSAOB.IBAN",
                "identification": "10000109010105",
                "name": "Spectrum"
              }
            ],
            "servicer": {
              "identificationType": "KSAOB.BICFI",
              "identification": "10000109010101"
            },
            "statusUpdateDateTime": "2023-02-01T16:37:00.985Z",
            "description": "Account sub-type description",
            "openingDate": "2022-04-08T16:37:00.985Z",
            "maturityDate": "2023-11-29T16:37:00.985Z"
          }
        ]
      },
      "links": {
        "self": "https://rs1.lab.openbanking.sa/open-banking/account-information/2022.11.01-final-errata2/accounts"
      },
      "meta": {
        "totalPages": 1
      }
    }
  ]
}

Response description

JSON Tag

Description

success

Process success status represented as true or false

payload

Tag carrying the response information

code

Unique bank identification code

data

Tag carrying the response data of the accounts

account

Tag carrying a specific account information

accountId

Unique bank account identification code

accountHolderName

Full name of the account holder

accountHolderShortName

Short name of the account holder

status

Current status of the account as active or inactive

currency

Default currency of the account

nickname

Nickname of the account holder

accountType

Type of the account

accountSubType

Sub-type of the account

accountIdentifiers

Account identifiers information tag

identificationType

Type of account identification

identification

Unique identification details

name

Name of the account as per identification

servicer

Account servicer details tag

identificationType

Type of servicer account identification

identification

Unique servicer identification details

statusUpdateDateTime

Effective date and time of the last update of account information

description

Description of the account information

openingDate

Date of opening of the bank account

maturityDate

Date of maturity of the bank account

links

Redirect links tag

self

Own links/URL details

meta

Meta tag

totalPages

Information included in the response in terms of page length

Get Account Info By Account ID

This method uses the Consent ID and Account ID to fetch the account information of the specified account.

Endpoint details

Endpoint URL

Method

Authentication requirements

/v1/api/observice/accountsById

POST

  1. clientId
  2. clientCode
  3. signature
  4. Authorization Bearer: Token

Sample request

Get account info by account ID request
{
  "dateTimeStamp": "2024-12-31T10:40:00+02:00",
  "requestID": "df797efb-b588-4234-8ae1-5cb748559830",
  "merchantId": "APIS-300505",
  "banks": [
    {
      "code": "SVMB01",
      "consentId":"urn:SVMB01:kac-5a166b7d-8cdb-443a-a67a-80ad7a5b95b3",
      "accountId": "100004000000000000000002"
    }
  ]
}

Request description

JSON Tag

Requirement

Description

Data type

DateTimeStamp

Mandatory

Stamp denoting the date and time of the request
ISO 8601 format - YYYY-MM-DDTHH:MM:SS

Date

RequestID

Mandatory

Unique request identification
UUID format

Alphanumeric

merchantId

Mandatory

Unique merchant identification
UUID format

Alphanumeric

banks

Mandatory

Array of banks and consents

Object

code

Mandatory

Unique bank identification code

Alphanumeric

consentId

Mandatory

Unique consent identification

String

accountId

Mandatory

Unique bank account identification included in the corresponding consent

String

Sample response

Get account info by Account ID
{
  "payload": {
    "success": true,
    "payload": [
      {
        "code": "SVMB01",
        "data": {
          "accountId": "100004000000000000000002",
          "account": {
            "accountHolderName": "Mitsuhirato",
            "accountHolderShortName": "Mitsuhirato",
            "status": "Active",
            "currency": "SAR",
            "nickname": "Mitsuhirato",
            "accountType": "KSAOB.Retail",
            "accountSubType": "CurrentAccount",
            "accountIdentifiers": [
              {
                "identificationType": "KSAOB.IBAN",
                "identification": "10000109010102",
                "name": "Luigi International"
              },
              {
                "identificationType": "KSAOB.IBAN",
                "identification": "10000109010102",
                "name": "Luigi International"
              }
            ],
            "servicer": {
              "identificationType": "KSAOB.BICFI",
              "identification": "10000109010101"
            },
            "statusUpdateDateTime": "2023-02-01T16:37:00.980Z",
            "description": "Account sub-type description",
            "openingDate": "2022-04-08T16:37:00.980Z",
            "maturityDate": "2023-11-29T16:37:00.980Z"
          }
        },
        "links": {
          "self": "https://rs1.lab.openbanking.sa/open-banking/account-information/2022.11.01-final-errata2/accounts/100004000000000000000002"
        },
        "meta": {
          "totalPages": 1
        }
      }
    ]
  }
}

Response description

JSON Tag

Description

success

Process success status represented as true or false

payload

Tag carrying the response information

code

Unique bank identification code

data

Tag carrying the response data of the accounts

accountId

Unique bank account identification as per the consent

account

Tag carrying a specific account information

accountHolderName

Full name of the account holder

accountHolderShortName

Short name of the account holder

status

Current status of the account as active or inactive

currency

Default currency of the account

nickname

Nickname of the account holder

accountType

Type of the account

accountSubType

Sub-type of the account

accountIdentifiers

Account identifiers information tag

identificationType

Type of account identification

identification

Unique identification details

name

Name of the account as per identification

servicer

Account servicer details tag

identificationType

Type of servicer account identification

identification

Unique servicer identification details

statusUpdateDateTime

Effective date and time of the last update of account information

description

Description of the account information

openingDate

Date of opening of the bank account

maturityDate

Date of maturity of the bank account

links

Redirect links tag

self

Own links/url details

meta

Meta tag

totalPages

Information included in the response in terms of page length

Updated July 2, 2026

PreviousConsent ManagementNextBalance
Was this helpful?